Opened 9 years ago

Closed 6 years ago

#525 closed defect (fixed)

IZ2610: aimk -no-secure tries to link against libssl and libcrypto

Reported by: tholzer Owned by:
Priority: highest Milestone:
Component: sge Version: 6.2beta
Severity: minor Keywords: PC Linux build
Cc:

Description

[Imported from gridengine issuezilla http://gridengine.sunsource.net/issues/show_bug.cgi?id=2610]

        Issue #:      2610             Platform:     PC        Reporter: tholzer (tholzer)
       Component:     gridengine          OS:        Linux
     Subcomponent:    build            Version:      6.2beta      CC:    None defined
        Status:       NEW              Priority:     P4
      Resolution:                     Issue type:    DEFECT
                                   Target milestone: ---
      Assigned to:    andreas (andreas)
      QA Contact:     andreas
          URL:
       * Summary:     aimk -no-secure tries to link against libssl and libcrypto
   Status whiteboard:
      Attachments:

     Issue 2610 blocks:   2880 2880
   Votes for issue 2610:


   Opened: Wed Jun 11 21:49:00 -0700 2008 
------------------------


Try to build Grid with

./aimk -no-secure

and it still tries to link against libssl.a & libcrypto.a.

The problem is in line 626 of aimk. To fix, insert the following line:

set SECLIBS_STATIC    = ""

   ------- Additional comments from crei Fri Feb 27 02:52:45 -0700 2009 -------
*** Issue 2701 has been marked as a duplicate of this issue. ***

Change History (1)

comment:1 Changed 6 years ago by dlove

  • Priority set to highest
  • Resolution set to fixed
  • Severity set to minor
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.